# dmd.root.hash

Hash functions for arbitrary binary data.

#### Authors

Martin Nowak, Walter Bright, https://www.digitalmars.com

#### License

Boost License 1.0

Source: root/hash.d

Documentation: https://dlang.org/phobos/dmd_root_hash.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/root/hash.d

- `calcHash`

  #### Declaration

  `pure nothrow @nogc @safe uint `calcHash`(scope const(ubyte)[] `data`);`

  ditto